Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerID
string<uuid>
required

Body

application/json
action
enum<string>
required
Available options:
suspend,
restore,
delete,
anonymize
reason
string
required
actorType
enum<string>
required
Available options:
customer,
operator,
system
actorID
string

Response

Customer lifecycle updated

id
string<uuid>
status
enum<string>
Available options:
active,
suspended,
deleted
locale
string
timezone
string
suspendedAt
string<date-time> | null
deletedAt
string<date-time> | null
anonymizedAt
string<date-time> | null
retentionUntil
string<date-time> | null